Package com.emc.d2fs.models.taxonomy_operation

# Class TaxonomyInfo

java.lang.Object
com.emc.d2fs.models.taxonomy_operation.TaxonomyInfo

All Implemented Interfaces:
  `Serializable`

public class TaxonomyInfo extends Object implements Serializable

Java class for taxonomy_info complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="taxonomy_info">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="dictionary_name" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="level" type="{http://www.w3.org/2001/XMLSchema}int" />
           <attribute name="manuval_order" type="{http://www.w3.org/2001/XMLSchema}boolean" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TaxonomyInfo()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDictionaryName()`
  Gets the value of the dictionaryName property.
  `Integer`
  `getLevel()`
  Gets the value of the level property.
  `Boolean`
  `isManuvalOrder()`
  Gets the value of the manuvalOrder property.
  `void`
  `setDictionaryName(String value)`
  Sets the value of the dictionaryName property.
  `void`
  `setLevel(Integer value)`
  Sets the value of the level property.
  `void`
  `setManuvalOrder(Boolean value)`
  Sets the value of the manuvalOrder property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TaxonomyInfo

    public TaxonomyInfo()

- ## Method Details

  - ### getDictionaryName

    public String getDictionaryName()
    Gets the value of the dictionaryName property.
    Returns:
      possible object is `String`

  - ### setDictionaryName

    public void setDictionaryName(String value)
    Sets the value of the dictionaryName property.
    Parameters:
      `value` - allowed object is `String`

  - ### getLevel

    public Integer getLevel()
    Gets the value of the level property.
    Returns:
      possible object is `Integer`

  - ### setLevel

    public void setLevel(Integer value)
    Sets the value of the level property.
    Parameters:
      `value` - allowed object is `Integer`

  - ### isManuvalOrder

    public Boolean isManuvalOrder()
    Gets the value of the manuvalOrder property.
    Returns:
      possible object is `Boolean`

  - ### setManuvalOrder

    public void setManuvalOrder(Boolean value)
    Sets the value of the manuvalOrder property.
    Parameters:
      `value` - allowed object is `Boolean`